
<section class="login" style="background:#0B1118;">
    <div class="cont">
        <div class="cont-login">
            <figure>
                <img src="../../../assets/img/login/logo-identity-login.png" alt="Identity">
            </figure>
            <h1>Bienvenido a MIT Identity</h1>
            
            <div class="content-login" *ngIf="!newPass && !forgotPasswordFlag && !sendCodeFlag">
                <h2>Inicia sesión</h2>
                <p class="form-p">{{titulo}}</p>
                <form id="login" autocomplete="off">
                    <input type="text" placeholder="Correo electrónico *" id="login-email" [(ngModel)]="textUser" name="textUser" type="text" required="">
                    <br>
                    <input type="password" placeholder="Contraseña *" id="login-password" [(ngModel)]="textPwd" name="textPwd" type="password" required="">
                    <label>Al inciar sesión, aceptas nuestro <a id="terminos"  (click)="abrirModal()">aviso de
                            privacidad</a></label>
                    <button (click)="iniciar()" type="submit">Iniciar sesión</button>
                </form>
            </div>
            
            <!--Recover pass-->
            <div class="content-login" *ngIf="forgotPasswordFlag">
                <h2>Recuperar contraseña</h2>
                <p class="form-p">Ingresa tu correo, al cual será enviado un código de verificación.</p>
                <form id="login" autocomplete="off">
                    <input id="login-email" [(ngModel)]="textUser" name="textUser" type="text" required="" placeholder="Correo electrónico">

                    <button (click)="forgotPassSendCode()" type="submit">Enviar</button>
                    <p class="form-p-text">Si no recibes tu código favor de contactar a tu administrador.</p>
                </form>

            </div>

            <div class="content-login" *ngIf="sendCodeFlag">
                <h2>Cambiar contraseña</h2>
                <p class="form-p"> Introduce el código que fue enviado y tu nueva contraseña.</p>
                <form id="login" autocomplete="off">
                    <input id="login-email" [(ngModel)]="codigo" name="codigo" type="number" required="" placeholder="Código">
                    <br>
                    <input id="login-password" [(ngModel)]="textPwd" name="textPwd" type="password" required="" placeholder="Contraseña">

                    <button  (click)="recoverPass()" type="submit">Aceptar</button>
                       
                </form>
            </div>

            <!--End recover pass-->

            <!--New users-->
            <!-- -->
            <div class="content-login" *ngIf="newPass" >
                <h2>Nueva contraseña</h2>
                <p class="form-p">Favor de Ingresar tu nueva contraseña</p>
                <form id="login" onload="showPass()" autocomplete="off">
                   
                    <input id="passNew1" class="" [(ngModel)]="newPassText" name="newPassText" type="password" required="" placeholder="Nueva contraseña">
                    <span toggle="#password-field" class="fa fa-fw fa-eye field-icon toggle-password" (click)="showPass('newPass')"></span>

                    <input id="passNew2" [(ngModel)]="confirmNewPassText" name="confirmNewPassText" type="password" required="" placeholder="Confirmar contraseña">
                    <span toggle="#password-field" class="fa fa-fw fa-eye field-icon toggle-password" (click)="showPass('confirmPass')"></span>


                    <button (click)="cambioDePassword()" type="submit">Cambiar Contraseña</button>
                </form>
                
                <!---->
                <div class="row col-md-12 error-password" style="color:red" *ngIf="showEstructuraCorreo">
                    <span>La contraseña debe cumplir con los siguientes requerimientos:</span><br>
                    <ul>
                        <li>Mínimo de 10 caracteres.</li>
                        <li>Debe tener números.</li>
                        <li>Debe tener un carácter especial.</li>
                        <li>Debe tener mayúsculas.</li>
                        <li>Debe tener minúsculas.</li>
                      </ul>
                </div>
            </div>
            <!--END New users-->
            <div class="error" style="font-size: 15px;">
                {{error}}
            </div>

            <p class="olvida-contra" *ngIf="!newPass && !forgotPasswordFlag && !sendCodeFlag">¿Olvidaste tu contraseña? <a style="cursor:pointer;" (click)="forgotPass()" id="to-recover">Recupérala</a></p>
        </div>
        
    </div>

    <div id="modalTerminos" class="modal my-auto">
        <!-- Modal content -->
        <div class="modal-content">
          <button id="btnAceptarModal" type ="button" (click)="cerrarModal()"  class="btn btn-lg btn-block mr-3 btnUrl">&times;</button>
          <div class="modal-body" [innerHTML]="textoModal">
        </div>
      </div>
      
</div>
</section>


<!--
<section id="wrapper" class="login-register login-sidebar" style="background-image:url(../../../assets/img/login/login-register.jpg);">
    <div class="login-box card container-login">
        <div class="card-body">
            <form *ngIf="!newPass && !forgotPasswordFlag && !sendCodeFlag" class="form-horizontal form-material" id="loginform">
                <a href="javascript:void(0)" class="text-center db"><img src="../../../assets/img/login/logo-icon.png" alt="Home" /><br /><img src="../../../assets/img/login/logo-text.png" alt="Home" /></a>
                <div class="form-group m-t-40">
                    <div class="col-xs-12">
                        <input class="form-control" [(ngModel)]="textUser" name="textUser" type="text" required="" placeholder="Username">
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-xs-12">
                        <input class="form-control" [(ngModel)]="textPwd" name="textPwd" type="password" required="" placeholder="Password">
                    </div>
                </div>
                <div class="form-group row">
                    <div class="col-md-12">
                        <a (click)="forgotPass()" id="to-recover" class="text-dark pull-right"><i
                                class="fa fa-lock m-r-5"></i> Recupera Contraseña</a>
                    </div>
                </div>
                <div class="form-group text-center m-t-20">
                    <div class="col-xs-12">
                        <button class="btn btn-info btn-lg btn-block text-uppercase btn-rounded" (click)="iniciar()" type="submit">Log
                            In</button>
                    </div>
                </div>
            </form>
            <div class="error">
                {{error}}
            </div>

            <form *ngIf="newPass" class="form-horizontal form-material" id="recuperaform" onload="showPass()">
                <a href="javascript:void(0)" class="text-center db"><img src="../../../assets/img/login/logo-icon.png" alt="Home" /><br /><img src="../../../assets/img/login/logo-text.png" alt="Home" /></a>
                <div class="form-group m-t-40">
                    <div class="col-xs-12 nueva">
                        Favor de Ingresar tu nueva contraseña
                    </div>
                </div>
                <div class="form-group m-t-40">
                    <div class="col-xs-12">
                        <input id="passNew1" class="form-control" [(ngModel)]="newPassText" name="newPassText" type="password" required="" placeholder="New Password">
                        <span toggle="#password-field" class="fa fa-fw fa-eye field-icon toggle-password" (click)="showPass('newPass')"></span>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-xs-12">
                        <input id="passNew2" class="form-control" [(ngModel)]="confirmNewPassText" name="confirmNewPassText" type="password" required="" placeholder="Confirm Password">
                        <span toggle="#password-field" class="fa fa-fw fa-eye field-icon toggle-password" (click)="showPass('confirmPass')"></span>
                    </div>
                </div>
                <div class="form-group text-center m-t-20">
                    <div class="col-xs-12">
                        <button class="btn btn-info btn-lg btn-block text-uppercase btn-rounded" (click)="cambioDePassword()" type="submit">Cambiar Contraseña</button>
                    </div>
                </div>
            </form>

            <div class="row col-md-12" style="color:red" *ngIf="showEstructuraCorreo">
                <span>La contraseña debe cumplir con los siguientes requerimientos:</span><br>
                <ul>
                    <li>Mínimo de 10 caracteres.</li>
                    <li>Debe tener números.</li>
                    <li>Debe tener un carácter especial.</li>
                    <li>Debe tener mayúsculas.</li>
                    <li>Debe tener minúsculas.</li>
                  </ul>
            </div>


            <form *ngIf="forgotPasswordFlag" class="form-horizontal form-material" id="recuperaform">
                <a href="javascript:void(0)" class="text-center db mb-3"><img src="../../../assets/img/login/logo-icon.png" alt="Home" /><br /><img src="../../../assets/img/login/logo-text.png" alt="Home" /></a>
                <div class="mt-3 form-group m-t-40">
                    <div class="col-xs-12 nueva">
                        Ingresa tu correo, al cual será enviado un código de verificación.
                    </div>
                </div>
                <div class="form-group m-t-40">
                    <div class="col-xs-12">
                        <input class="form-control" [(ngModel)]="textUser" name="textUser" type="text" required="" placeholder="Username">
                    </div>
                </div>
                <div class="form-group text-center m-t-20">
                    <div class="col-xs-12">
                        <button class="btn btn-info btn-lg btn-block text-uppercase btn-rounded" (click)="forgotPassSendCode()" type="submit">Enviar</button>
                    </div>
                </div>
                <div class="mt-3 form-group m-t-40">
                    <div class="col-xs-12 nueva">
                        Si no recibes tu código favor de contactar a tu administrador.
                    </div>
                </div>
            </form>

            <form *ngIf="sendCodeFlag" class="form-horizontal form-material" id="recuperaform">
                <a href="javascript:void(0)" class="text-center db"><img src="../../../assets/img/login/logo-icon.png" alt="Home" /><br /><img src="../../../assets/img/login/logo-text.png" alt="Home" /></a>
                <div class="form-group m-t-40">
                    <div class="col-xs-12 nueva">
                        Introduce el código que fue enviado y tu nueva contraseña
                    </div>
                </div>
                <div class="form-group m-t-40">
                    <div class="col-xs-12">
                        <input class="form-control" [(ngModel)]="codigo" name="codigo" type="number" required="" placeholder="Codigo">
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-xs-12">
                        <input class="form-control" [(ngModel)]="textPwd" name="textPwd" type="password" required="" placeholder="Password">
                    </div>
                </div>
                <div class="form-group text-center m-t-20">
                    <div class="col-xs-12">
                        <button class="btn btn-info btn-lg btn-block text-uppercase btn-rounded" (click)="recoverPass()" type="submit">Aceptar</button>
                    </div>
                </div> 
            </form>


        </div>
    </div>
</section>
-->



<script>
    var pass = document.getElementById("passNew1");
      console.log("2",pass);

    $(".toggle-password").click(function() {
      var inputPass = $("#passNew1");
      $(this).toggleClass("fa-eye fa-eye-slash");
      //var input = $($(this).attr("toggle"));
      if (inputPass.attr("type") == "password") {
        inputPass.attr("type", "text");
      } else {
        inputPass.attr("type", "password");
      }
    });

    function showPass(){
        var pass = document.getElementById("passNew1");
      console.log("3",pass);
        console.log("function");
    }
</script>